For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
      • POSTSend a WhatsApp message
      • GETGet all your WhatsApp activity (unaggregated events)
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Transactional WhatsAppTransactional WhatsApp

Get all your WhatsApp activity (unaggregated events)

GET
https://api.brevo.com/v3/whatsapp/statistics/events
GET
/v3/whatsapp/statistics/events
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalWhatsApp.getWhatsappEventReport({});
8}
9main();
1{
2 "events": [
3 {
4 "contactNumber": "919876543211",
5 "date": "2017-03-12T12:30:00Z",
6 "event": "sent",
7 "messageId": "23befbae-1505-47a8-bd27-e30ef739f32c",
8 "senderNumber": "919876543210"
9 },
10 {
11 "contactNumber": "919876543211",
12 "date": "2017-03-12T12:30:00Z",
13 "event": "error",
14 "messageId": "23befbae-1505-47a8-bd27-e30ef739f32c",
15 "senderNumber": "919876543210",
16 "reason": "error reason"
17 },
18 {
19 "contactNumber": "919876543211",
20 "date": "2017-03-12T12:30:00Z",
21 "event": "soft-bounce",
22 "messageId": "23befbae-1505-47a8-bd27-e30ef739f32c",
23 "senderNumber": "919876543210",
24 "reason": "invalid whatsapp contact"
25 },
26 {
27 "contactNumber": "919876543211",
28 "date": "2017-03-12T12:30:00Z",
29 "event": "reply",
30 "messageId": "23befbae-1505-47a8-bd27-e30ef739f32c",
31 "senderNumber": "919876543210",
32 "body": "body only in case of text reply & url will be empty",
33 "mediaUrl": "media url only in case media reply & body will be empty"
34 }
35 ]
36}

This endpoint will show the unaggregated statistics for WhatsApp activity (30 days by default if startDate and endDate or days is not passed. The date range can not exceed 90 days)

Was this page helpful?
Previous

Return all your created email campaigns

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

limitlongOptional0-10000Defaults to 2500
Number limitation for the result returned
offsetlongOptionalDefaults to 0
Beginning point in the list to retrieve from
startDatestringOptional

Mandatory if endDate is used. Starting date of the report (YYYY-MM-DD). Must be lower than equal to endDate

endDatestringOptional

Mandatory if startDate is used. Ending date of the report (YYYY-MM-DD). Must be greater than equal to startDate

dayslongOptional

Number of days in the past including today (positive integer). Not compatible with ‘startDate’ and ‘endDate’

contactNumberstringOptionalformat: "mobile"

Filter results for specific contact (WhatsApp Number with country code. Example, 85264318721)

eventenumOptional
Filter the report for a specific event type
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:

Response

WhatsApp events report
eventslist of objects

Errors

400
Bad Request Error